VismaBouwsoftAPICalls.v1_GET_Machines Method
v1_GET_Machines() as String

This API call is used to get fields of a(n) Machine(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /Machines/
or
API Path: /Machines/{id}
or
API Path: /Machines/{id}/image
or
API Path: /Machines/{id}/note_html
or
API Path: /Machines/{id}/note_plain
or
API Path: /Machines/{id}/note_rtf
or
API Path: /Machines/FieldInfo/

You can make this API call:
* without the key field id to get a list of Machines
* with the key field id as the path parameter (the specific id of the Machine you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Name Length Required Writeable Force Write Link
list tpString 50 No No No
group tpString 150 No No No
nr tpString 50 No No No
description tpString 100 No No No
type tpString 100 No No No
brand tpString 100 No No No
chassisnr tpString 100 No No No
license_plate tpString 100 No No No
purchasedate tpDateNullString 0 No No No
constructionyear tpLong 0 No No No
company_id tpLong 0 No No No
company_name tpString 250 No No No
price_cost tpCurrencyHD 0 No No No
price_catalogue tpCurrencyHD 0 No No No
price_sales1 tpCurrencyHD 0 No No No
price_sales2 tpCurrencyHD 0 No No No
price_sales3 tpCurrencyHD 0 No No No
margin_catalogue tpCurrencyHD 0 No No No
margin1 tpCurrencyHD 0 No No No
margin2 tpCurrencyHD 0 No No No
margin3 tpCurrencyHD 0 No No No
discount1 tpCurrencyHD 0 No No No
discount2 tpCurrencyHD 0 No No No
discount3 tpCurrencyHD 0 No No No
supplier_id tpLong 0 No No No
supplier_name tpString 150 No No No
tech_checkup_last_date tpDateNullString 0 No No No
tech_checkup_expire_date tpDateNullString 0 No No No
unit tpString 10 No No No
geodyn_name tpString 250 No No No
ts_lastupdate tpDate 0 No No No

/Machines/

API Path: /Machines/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Machines

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: GmkfWxfkmbzSftArkfzRqDGGfIIVfGOUfGGkzkfrAAIGVVUrjj

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/2028”, “Records”: [
  {
    "id": 1,
    "list": "ALGEMEEN",
    "group": "",
    "nr": "Caddy 01",
    "description": "Volkswagen caddy",
    "type": "De Caddy \"Entry\" (TSI 86 pk)",
    "brand": "Volkswagen",
    "chassisnr": "123456789–1",
    "license_plate": "000 aaa",
    "purchasedate": "2012–01–01",
    "constructionyear": 2012,
    "company_id": 1,
    "company_name": "Bouwsoft",
    "price_cost": 0.0,
    "price_catalogue": 0.0,
    "price_sales1": 0.0,
    "price_sales2": 0.0,
    "price_sales3": 0.0,
    "margin_catalogue": 0.0,
    "margin1": 0.0,
    "margin2": 0.0,
    "margin3": 0.0,
    "discount1": 0.0,
    "discount2": 0.0,
    "discount3": 0.0,
    "supplier_id": 26,
    "supplier_name": "Brugs Motoren Bedrijf",
    "tech_checkup_last_date": "2020–03–05",
    "tech_checkup_expire_date": "2021–04–07",
    "unit": "km",
    "geodyn_name": "Caddy 01",
    "ts_lastupdate": "2020–11–26 10:22:20"
  },
  {
    "id": 2,
    "list": "TRANSPORT",
    "group": "Bedrijfscamionetten",
    "nr": "Caddy 02",
    "description": "Volkswagen caddy",
    "type": "De Caddy \"Entry\" (TSI 86 pk)",
    "brand": "Volkswagen",
    "chassisnr": "123456789–2",
    "license_plate": "000-bbb",
    "purchasedate": "2012–01–01",
    "constructionyear": 2012,
    "company_id": 1,
    "company_name": "Bouwsoft",
    "price_cost": 0.0,
    "price_catalogue": 0.0,
    "price_sales1": 0.0,
    "price_sales2": 0.0,
    "price_sales3": 0.0,
    "margin_catalogue": 0.0,
    "margin1": 0.0,
    "margin2": 0.0,
    "margin3": 0.0,
    "discount1": 0.0,
    "discount2": 0.0,
    "discount3": 0.0,
    "supplier_id": 26,
    "supplier_name": "Brugs Motoren Bedrijf",
    "tech_checkup_last_date": "",
    "tech_checkup_expire_date": "2013–01–01",
    "unit": "dag",
    "geodyn_name": "",
    "ts_lastupdate": "2024–07–02 13:33:46"
  }
,

]
}

/Machines/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Machines/2085

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: bGkfWxfOkkzSfjfGjfzRqDrPffArfGrjfDVkzlDOGOmGbIIUfb

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 2085,
    "list": "ALGEMEEN",
    "group": "",
    "nr": "Machine 4844302",
    "description": "Diverse Graafmachine 3 old",
    "type": "",
    "brand": "",
    "chassisnr": "",
    "license_plate": "",
    "purchasedate": "",
    "constructionyear": 0,
    "company_id": 1,
    "company_name": "Bouwsoft",
    "price_cost": 0.0,
    "price_catalogue": 0.0,
    "price_sales1": 0.0,
    "price_sales2": 0.0,
    "price_sales3": 0.0,
    "margin_catalogue": 21.9512,
    "margin1": 0.0,
    "margin2": 0.0,
    "margin3": 0.0,
    "discount1": 0.0,
    "discount2": 0.0,
    "discount3": 0.0,
    "supplier_id": 0,
    "supplier_name": "",
    "tech_checkup_last_date": "",
    "tech_checkup_expire_date": "",
    "unit": "u.",
    "geodyn_name": "",
    "ts_lastupdate": "2026–03–24 14:28:11"
  }
]
}

/Machines/{id}/image

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Machines/66/image

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: bbGfWxfOPfzSfVUjmtzRqrVffDAOIOftjmrtzPrbPGOGmmjrmD
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

image

/Machines/{id}/note_html

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Machines/66/note_html

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: UDbfWxfDOmzSfGGrDfzRqAUVfjUmGfUjfjtbzttAtGtfGbPAIk

Success gives statuscode 200 And the following result

<HTML><BODY> <DIV STYLE="text-align: left;"><SPAN STYLE="font-family: Times New Roman;font-size: 12pt;color: #000000;">APITest machines noteplain </SPAN></DIV> </BODY></HTML>

/Machines/{id}/note_plain

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Machines/66/note_plain

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: UDbfWxfDOmzSfGGrDfzRqAUVfjUmGfUjfjtbzttAtGtfGbPAIk

Success gives statuscode 200 And the following result

APITest machines noteplain

https://ra.bouwsoft.be/api/v1/Machines/2085/note_plain

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: VOtfWxfIVIzSfPPfUfzRqjOVfAtbkGAVfIfkzIjmjPIIDDUVAt

Success gives statuscode 200 And the following result

APITest machines noteplain

/Machines/{id}/note_rtf

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Machines/66/note_rtf

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: UDbfWxfDOmzSfGGrDfzRqAUVfjUmGfUjfjtbzttAtGtfGbPAIk

Success gives statuscode 200 And the following result

{\rtf1\ansi\deff0{\fonttbl{\f0\fnil Times New Roman;}}{\colortbl ;\red0\green0\blue0;}{*\generator Spikesoft 16.02;}\ql\li0\f0\fs24\cf1 APITest machines noteplain }

/Machines/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Machines/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: GPDfWxftVOzSfrOkDtzRqUktfrAOIODDjOVtzrVblkUGbjGmIk
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "list",
    "type_id": 2,
    "type_name": "tpString",
    "length": 50,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "group",
    "type_id": 2,
    "type_name": "tpString",
    "length": 150,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]